Subject: Re: windows smoke tester (was Re: What's cooking in git.git (Aug 2010, #02; Wed, 11))

From: Chris Packham <[email-masked]>
Date: Thu, 12 Aug 2010 15:58:13 -0700

On 12/08/10 15:29, Ævar Arnfjörð Bjarmason wrote:
> On Thu, Aug 12, 2010 at 22:19, Chris Packham <[email-masked]> wrote:
>> I checked out Avar's (Aevar?)
> 
> Whatever works :)
> 
> 
>> branch One problem is that I don't have any of the perl TAP
>> modules. It's complaining about TAP/Harness/Archive.pm. Any
>> suggestions for installing additional perl modules under msysgit?
> 
> I don't know what msysgit does for perl but if you can make it use
> strawberry perl's perl + modules that'd be easiest:
> 
>     http://strawberryperl.com

I'll see if I can get it to work. Msys comes with its own perl so maybe
there is another way.

> It comes with an easy-to use CPAN shell out of the box.
> 
>> Another problem is that the mingw sh.exe is _really_ slow (the box is an
>> oldish Dell Latitude).
> 
> Odd that sh.exe is the slowest bit.

I'm probably pointing the finger at sh.exe but it is more that something
else it is doing is slowing things down (probably the fancy PS1 setting).

> One thing (as the t/README notes) that'll make the tests much faster
> is using a ramdisk for the trash directory, but I don't know if
> Windows can do that.

I doubt windows has the capability (heck they've only had 3 file systems
in the last 20 years).